Showing results for 
Search instead for 
Do you mean 
Reply

Getting Error in Embedded viewer

When i select a JT file and open the viewer tab in TeamCenter, it throws an error saying "The Visualization license level is currently set to Professional. The visualization installed was not installed with a license level of professional and will be disabled until this inconsistency is resolved." 

 

I have checked my clientspecific.properties file and license level is set to Mockup only. When other users login to my system, this feature works for them without any error.

6 REPLIES

Re: Getting Error in Embedded viewer

If you are administrator, this can be done through Teamcenter Environment Manager (TEM). Otherwise, consult your administrator.

Open TEM, select "Configuration Manager" --> "Perform maintenance on an existing configuration" --> select your database and click "next" --> select "Modify license level settings" under " Teamcenter Visualization (Embedded) for rich client" --> Select desired license level (this must match the level on your license file) --> and click "Start" to perform the updates.
Jake

Re: Getting Error in Embedded viewer

Hello,

Any idea of how to check what license level I have got so that I choose the correct option in TEMS? 

 

Thank you.

 

Re: Getting Error in Embedded viewer

[ Edited ]

There are multiple ways you can see what license levels are available to you, I recommend asking your Teamcenter Administrator to check the license file if this is a first time install.  Or for an existing install, you can check the client_specific.properties file and look for the line "PortalViewer_License_Level=value".  The value of this variable will be your current license level.

Jake

Re: Getting Error in Embedded viewer

Hello, 

I have checked "client_specific.properties" files (it appears twice) and both are set to Base (PortalViewer_License_Level=Base) the message "The visualization license level is currently set to Base The visualization installed was not installed with a license level of Base and will be disabled until this consistency is resolved" keeps on appearing. I also have tried to get rid of it by running TEMS and changing the license level to Base... the same situation. A restart of the service was performed after each change.

 

Any idea? (thank you)

 

 

 

 

Re: Getting Error in Embedded viewer

Is this for embedded viewer? Or Standalone Vis?

Jake

Re: Getting Error in Embedded viewer

Hello Trec,

It has been solved by uninstalling the standalone VIS and then following your indications. Somehow the standalone version was not accepting the new configuration.

Thank you!